[arch-commits] Commit in muine/trunk (3 files)

Jan de Groot jgc at archlinux.org
Thu Oct 30 18:20:36 EDT 2008


    Date: Thursday, October 30, 2008 @ 18:20:35
  Author: jgc
Revision: 17540

Update to 0.8.10, though it doesn't build due to a regression in mono.

Modified:
  muine/trunk/PKGBUILD
  muine/trunk/muine.install
Deleted:
  muine/trunk/disambiguate_volumebutton.diff

--------------------------------+
 PKGBUILD                       |   30 ++++++++++++++++--------------
 disambiguate_volumebutton.diff |   20 --------------------
 muine.install                  |   10 ----------
 3 files changed, 16 insertions(+), 44 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-30 22:18:38 UTC (rev 17539)
+++ PKGBUILD	2008-10-30 22:20:35 UTC (rev 17540)
@@ -3,35 +3,37 @@
 # Contributor: Ben Mazer <blm at groknil.org>
 
 pkgname=muine
-pkgver=0.8.8
-pkgrel=2
+pkgver=0.8.10
+pkgrel=1
 pkgdesc="A music player written in C#"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.muine-player.org/"
 depends=('gnome-sharp' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'desktop-file-utils' 'libgnomeui>=2.22.1' 'libid3tag' 'faad2>=2.6.1')
 makedepends=('perlxml' 'pkgconfig')
-options=('!libtool' '!emptydirs')
+optdepends=('gstreamer0.10-ugly-plugins: Extra media codecs'
+            'gstreamer0.10-bad-plugins: Extra media codecs'
+	    'gstreamer0.10-ffmpeg: Extra media codecs')
+options=('!libtool' '!emptydirs' '!makeflags')
 install=muine.install
-source=(http://muine-player.org/releases/muine-${pkgver}.tar.gz disambiguate_volumebutton.diff)
-md5sums=('0bf318424d35241525df701e107dd6b1' 'd25d08ac961f451cd955745067be634c')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('28e561388de1deebc6336f936bc74a73')
 
 build() {
 
-  export MONO_SHARED_DIR=${startdir}/src/.wabi
+  export MONO_SHARED_DIR="${srcdir}/.wabi"
   mkdir -p "${MONO_SHARED_DIR}"
  
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -p1 < ../disambiguate_volumebutton.diff || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
               --disable-static --enable-gstreamer || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
+  make DESTDIR="${pkgdir}" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
 
-  install -m755 plugins/TrayIcon.{dll,xml} ${startdir}/pkg/usr/lib/muine/plugins/ || return 1
-  install -m644 plugins/muine-tray-*.png ${startdir}/pkg/usr/lib/muine/plugins/ || return 1
+  install -m755 plugins/TrayIcon.{dll,xml} "${pkgdir}/usr/lib/muine/plugins/" || return 1
+  install -m644 plugins/muine-tray-*.png "${pkgdir}/usr/lib/muine/plugins/" || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Deleted: disambiguate_volumebutton.diff
===================================================================
--- disambiguate_volumebutton.diff	2008-10-30 22:18:38 UTC (rev 17539)
+++ disambiguate_volumebutton.diff	2008-10-30 22:20:35 UTC (rev 17540)
@@ -1,20 +0,0 @@
---- trunk/src/PlaylistWindow.cs	2008/02/26 21:35:12	1176
-+++ trunk/src/PlaylistWindow.cs	2008/02/26 21:37:01	1177
-@@ -176,7 +176,7 @@
- 		[Glade.Widget] private Button       add_song_button   ;
- 		[Glade.Widget] private Button       add_album_button  ;		
- 
--		private VolumeButton volume_button;
-+		private Bacon.VolumeButton volume_button;
- 
- 		// Widgets :: Player
- 		[Glade.Widget] private Label song_label;
-@@ -869,7 +869,7 @@
- 			add_album_button  .Clicked += OnAddAlbumButtonClicked;
- 
- 			// Volume
--			volume_button = new VolumeButton ();
-+			volume_button = new Bacon.VolumeButton ();
- 			volume_button_container.Add (volume_button);
- 			volume_button.Visible = true;
- 			volume_button.VolumeChanged += OnVolumeChanged;

Modified: muine.install
===================================================================
--- muine.install	2008-10-30 22:18:38 UTC (rev 17539)
+++ muine.install	2008-10-30 22:20:35 UTC (rev 17540)
@@ -4,17 +4,7 @@
   usr/sbin/gconfpkg --install ${pkgname}
   update-desktop-database -q
   gtk-update-icon-cache -f -t -q usr/share/icons/hicolor
-  cat << EOF
 
-  ==> Muine uses GStreamer to play media. By default, only plugins from
-  ==> gst-plugins-good and gst-plugins-base are installed.
-  ==>
-  ==> To play additional media formats, more plugins are available from
-  ==> gstreamer0.10-ugly-plugins, gstreamer0.10-bad-plugins 
-  ==> and gstreamer0.10-ffmpeg packages.
-
-EOF
-
 }
 
 pre_upgrade() {




More information about the arch-commits mailing list